﻿EnableExplicit

;- -- Information.
; Dieses Modul sollte in jedes Projekt mit >XIncludeFile "..\..\_ PureBasic\Macros-v01.pbi"<
; in die Hauptdatei, z.B. "Application.pb" eingebunden werden.
;
; Enthält verschiedene Makros.

;- -- Version 01.
; Status:   Fertig.
; Autor:    Peter Dreisiebner
; Website:  http://peter.dreisiebner.at
; E-Mail:   web@dreisiebner.at
; Geändert: 2017-03-09 - PureBasic v5.60 (x86).


;-
;- DeclareModule Macros. --------------------
;
DeclareModule Macros
   EnableExplicit
   
   ;-
   ;- -- Macros.
   ; Wird für die Fehlermeldungen verwendet.
   Macro CurrentProcedureName
      #PB_Compiler_Module + "::" + #PB_Compiler_Procedure + ": "
   EndMacro

   Macro CurrentProcedureNameInstance
      #PB_Compiler_Module + "::" + #PB_Compiler_Procedure + "[" + iInstanceNumber + "]: "
   EndMacro

   ; Für den Zeilenumbruch in Strings.
   Macro EndOfLine
      #CRLF$
   EndMacro

EndDeclareModule  ; Macros.


;-
;- -- Module Macros. --------------------
;
Module Macros
   EnableExplicit

   ; leer.

EndModule   ; Macros.
